100 '**************************************************************************
110 '*                           RPTUSE.BAS                                   *
120 '*                                                                        *
130 '*      This program READS data from the file, `PRGTIM.DTA', and then     *
140 '*   prints out a report showing a record of PC use, listing the DATE,    *
150 '*   START TIME, USER'S ID, and amount of BUSINESS & NON-BUSINESS USE.    *
160 '*                                                                        *
170 '*      The program will print the report ON THE SCREEN and it will       *
180 '*   also give a HARDCOPY PRINTOUT, if your printer is ONLINE.            *
190 '*                                                                        *
200 '*          Program written by Steve Kent, CIS # 72406,504                *
210 '*                      v 1.1      05/03/84                               *
220 '**************************************************************************
230 KEY OFF : CLS : OPEN "PRGTIM.DTA" FOR INPUT AS #1
240  LOCATE 10,1: V$="Program is set to print to SCREEN and to PRINTER" :            PRINT SPACE$((80-LEN(V$))*.5)+V$
250  LOCATE 13,1 : V$="In order to get the HARDCOPY PRINTOUT," :                     PRINT SPACE$((80-LEN(V$))*.5)+V$
260  LOCATE 14,1 : V$="TURN ON PRINTER NOW, and put it ONLINE." :                    PRINT SPACE$((80-LEN(V$))*.5)+V$
270 LOCATE 20,20 : PRINT " Hit any key to continue, when ready...." :I$=INKEY$ :    IF I$="" THEN 270 ELSE CLS
280 PRINT: PRINT: V$="REPORT OF P.C. USE":PRINT SPACE$((80-LEN(V$))*.5)+V$
290 LPRINT:LPRINT: V$="REPORT OF P.C. USE":LPRINT SPACE$((80-LEN(V$))*.5)+V$
300 PRINT STRING$(79,"-") : PRINT TAB(10);"STRT";: PRINT TAB(31);"NAME OF";:        PRINT TAB(69);"BUSNS";: PRINT TAB(75);"PRSNL"
310 LPRINT STRING$(79,"-") : LPRINT TAB(10);"STRT";: LPRINT TAB(31);"NAME OF";:     LPRINT TAB(69);"BUSNS";: LPRINT TAB(75);"PRSNL"
320 PRINT TAB(3); "DATE";: PRINT TAB(10); "TIME";: PRINT TAB(18); "USER ID";:       PRINT TAB(31); "PROGRAM";
330 PRINT TAB(51);"COMMENTS";: PRINT TAB(69);"HR:MN";: PRINT TAB(75);"HR:MN"
340 LPRINT TAB(3); "DATE";: LPRINT TAB(10); "TIME";: LPRINT TAB(18); "USER ID";:    LPRINT TAB(31); "PROGRAM";
350 LPRINT TAB(51);"COMMENTS";: LPRINT TAB(69);"HR:MN";: LPRINT TAB(75);"HR:MN"
360 PRINT STRING$(79,"=") : LINENUM=7
370 LPRINT STRING$(79,"=") : LINENUM=7
380 '*************************************************************************
390 INPUT #1, DAT$, STARTTIME$, NM$, PN$, CM$, BSNS, NONBSNS
400 YR$=RIGHT$(DAT$,2) : DT$=MID$(DAT$,1,6)+YR$
410 START$=MID$(STARTTIME$,8,2)+MID$(STARTTIME$,11,2)
420 BH=BSNS\60:BMIN=BSNS MOD 60 : NBH=NONBSNS\60: NBMIN=NONBSNS MOD 60
430 SBM$=STR$(BMIN):BMIN$=MID$(SBM$,2,(LEN(SBM$)-1)) : IF LEN(BMIN$)=1 THEN         BMIN$="0"+BMIN$
440 SNBM$=STR$(NBMIN) : NBMIN$=MID$(SNBM$,2,(LEN(SNBM$)-1)) :                       IF LEN(NBMIN$)=1 THEN NBMIN$="0"+NBMIN$
450 TBSNS=TBSNS+BSNS : TBH=TBSNS\60 : TBM=TBSNS MOD 60
460 SBM$=STR$(TBM): TBM$=MID$(SBM$,2,(LEN(SBM$)-1)) : IF LEN(TBM$)=1 THEN           TBM$="0"+TBM$
470 TNBSNS=TNBSNS+NONBSNS : TNBH=TNBSNS\60 : TNBM=TNBSNS MOD 60
480 SNBM$=STR$(TNBM): TNBM$=MID$(SNBM$,2,(LEN(SNBM$)-1)) :IF LEN(TNBM$)=1 THEN      TNBM$="0"+TNBM$
490 PRINT DT$;: PRINT TAB(10);START$;: PRINT TAB(16);NM$;: PRINT TAB(29);PN$;:      PRINT TAB(43);CM$;:
500 PRINT TAB(69);:PRINT USING "##";BH;:PRINT ":"+BMIN$;: PRINT TAB(75);:           PRINT USING "##"; NBH;:PRINT ":"+NBMIN$
510 LPRINT DT$;: LPRINT TAB(10);START$;: LPRINT TAB(16);NM$;:                       LPRINT TAB(29);PN$;:  LPRINT TAB(43);CM$;:
520 LPRINT TAB(69);:LPRINT USING "##";BH;:LPRINT ":"+BMIN$;: LPRINT TAB(75);:       LPRINT USING "##"; NBH;:LPRINT ":"+NBMIN$
530 IF EOF(1) THEN CLOSE :GOTO 570
540 LINENUM=LINENUM+1 : IF LINENUM < 56 THEN 390
550 LPRINT :LPRINT :LPRINT : PGNUM =PGNUM + 1
560 LPRINT TAB(39); "-"; PGNUM; "-" : LPRINT CHR$(12): LINENUM=0: GOTO 280
570 PRINT TAB(69);STRING$(11,"=")
580 LPRINT TAB(69);STRING$(11,"=")
590 PRINT : PRINT TAB(45);"TOTAL BUSINESS USE = " ;: PRINT TAB(66);
600 PRINT USING "#####"; TBH;: PRINT TAB(71); ":" + TBM$ : PRINT
610 LPRINT :LPRINT TAB(45);"TOTAL BUSINESS USE = " ;: LPRINT TAB(66);
620 LPRINT USING "#####";TBH;: LPRINT TAB(71); ":" + TBM$ :LPRINT
630 PRINT TAB(51);"TOTAL PERSONAL USE = " ;: PRINT TAB(72);:PRINT USING "#####";    TNBH;: PRINT TAB(77); ":" + TNBM$
640 LPRINT TAB(51);"TOTAL PERSONAL USE = " ;: LPRINT TAB(72);:                      LPRINT USING"#####"; TNBH;: LPRINT TAB(77); ":" + TNBM$
650 KEY ON : END
